%define major 3
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary:	A library to speed up freedesktop.org application menus
Summary(de):	Eine Bibliothek zum Beschleunigen von freedesktop.org Programmmenüs
Name:     	menu-cache
Version:	1.0.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/LXDE
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.xz
URL:		http://lxde.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	glib2-devel
BuildRequires:	intltool
BuildRequires:	libfm-devel
BuildRequires:	libfm-gtk-devel
Requires:	%libname = %version-%release
Obsoletes:	%name < %version

%description
Libmenu-cache is a library creating and utilizing caches to speed up
freedesktop.org application menus.
It can be used as a replacement of libgnome-menu of gnome-menus.

Advantages:
1. Faster loading of menus.
2. Ease of use. (API is very similar to that of libgnome-menu)
3. Lightweight runtime library. (Parsing of the menu definition files
   are done by menu-cache-gen when the menus are really changed.)
4. Less unnecessary and complicated file monitoring.
5. Greatly reduced disk I/O.

%description -l de
Libmenu-cache ist eine Bibliothek zum Erstellen und Verwenden des Caches zum 
Beschleunigen des Freedesktop.org Programmmenüs.

Es dient als Ersatz für libgnome-menü von GNOME-Menüs.

Vorteile:

1.  Schnelleres Laden der Menüs.
2.  Einfache Handhabung. (API ist einfacher zu verwenden als das libgnome-menu)
3.  Leichtere Laufzeitbibliothek.
4.  Weniger unnötige sowie komplizierte Datei Überwachung.
5.  Erhebliche reduzierter Disk I/O.


%files -f %{name}.lang
%defattr(-, root, root)
%{_libexecdir}/menu-cache*

#----------------------------------------------------------------------

%package -n %libname
Group:		Graphical desktop/LXDE
Requires:	%name = %version
Summary:	Contains shared libraries for %name
Summary(de):	Enthält gemeinsame Bibliotheken für %name
Obsoletes:	%{_lib}menu-cache0
Obsoletes:	%{_lib}menu-cache2

%description -n %libname
This package contains shared libraries for %name.

%description -n %libname -l de
Dieses Paket enthält gemeinsame Bibliotheken für %name.

%files -n %libname
%defattr(-, root, root)
%{_libdir}/*.so.%{major}*

#----------------------------------------------------------------------


%package -n %develname
Group:		Graphical desktop/LXDE
Requires:	%libname = %version
Summary:	Contains development files for %name
Summary(de):	Enthält Entwicklungsdateien für %name
Provides:       %name-devel = %version
Provides:       lib%name-devel = %version

%description -n %develname
This package contains development files for %name.

%description -n %develname -l de
Dieses Paket enthält Entwicklungsdateien für %name.

%files -n %develname
%defattr(-, root, root)
%_libdir/*.so
%_includedir/%name
%_libdir/pkgconfig/*.pc

#----------------------------------------------------------------------
%prep
%setup -q -n %name-%version

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

#not needed
rm -f %buildroot/%{_libdir}/*.la


%{find_lang} %{name}

%clean
rm -rf %buildroot

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig


%changelog
* Sat May 30 2015 ghostbunny <ghostbunny at gmx dot de> 1.0.0-1pclos2015
- 1.0.0

* Wed Aug 06 2014 ghostbunny <ghostbunny at gmx dot de> 0.6.0-1pclos2014
- 0.6.0

* Fri Oct 11 2013 ghostbunny <ghostbunny at gmx dot de> 0.5.1-1pclos2013
- 0.5.1

* Sat Jul 13 2013 Texstar <texstar at gmail.com> 0.5.0-1pclos2013
- 0.5.0

* Fri Nov 23 2012 Neal <nealbrks0 at gmail dot com> 0.4.1-1pclos2012
- process

* Thu Nov 22 2012 daniel <meisssw01 at gmail.com> 0.4.1-1leiche2012
- upstream tarball

* Tue May 22 2012 Neal <nealbrks0 at gmail dot com> 0.3.3-1pclos2012
- process

* Tue May 22 2012 ghostbunny <ghostbunny at gmx dot de> 0.3.3-1pclos2012
- 0.3.3
- added german summaries and descriptions
- fixed line numbers in patch0

* Fri Jun 18 2010 siamer <siamer@wp.pl> 3.2-1pclos2010
- new version

